Bug 49873 - [chromium] editing/selection/extend-selection-home-end.html should have one expected result
Summary: [chromium] editing/selection/extend-selection-home-end.html should have one e...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: HTML Editing (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC OS X 10.5
: P2 Normal
Assignee: Benjamin (Ben) Kalman
URL:
Keywords:
Depends on: 51163
Blocks: 50610
  Show dependency treegraph
 
Reported: 2010-11-20 17:23 PST by Ryosuke Niwa
Modified: 2010-12-19 22:31 PST (History)
4 users (show)

See Also:


Attachments
Patch (9.16 KB, patch)
2010-12-19 19:21 PST, Benjamin (Ben) Kalman
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ryosuke Niwa 2010-11-20 17:23:49 PST
editing/selection/extend-selection-home-end.html has a different expected result on chromium because the last two test specify the width by pixel:

http://trac.webkit.org/browser/trunk/LayoutTests/editing/selection/resources/extend-selection.js
['home-end', 'line-break:before-white-space; width:100px', 'abcdefg abcdefg abcdefg a abcdefg abcdefg abcdefg abcdefg abcdefg abcdefg abcdefg abcdefg abcdefg abcdefg '],
['home-end', 'line-break:after-white-space; width:100px', 'abcdefg abcdefg abcdefg a abcdefg abcdefg abcdefg abcdefg abcdefg abcdefg abcdefg abcdefg abcdefg abcdefg ']

We should replace these values by em so that chromium gets the same expected result as other platforms.
Comment 1 Benjamin (Ben) Kalman 2010-12-15 21:05:41 PST
This is complicated and possibly blocked (?) by https://bugs.webkit.org/show_bug.cgi?id=51163
Comment 2 Benjamin (Ben) Kalman 2010-12-15 21:12:46 PST
(In reply to comment #1)
> This is complicated and possibly blocked (?) by https://bugs.webkit.org/show_bug.cgi?id=51163

I should expand on what I mean here.

There should only be 2 different results needed for this test, win/linux and mac, since the mac has different home/end behaviour.  So it should just work to have a default expected.txt, and a specialised one in platform/mac.

Currently there are 5.  Some of these can be reduced by changing 100px to e.g. 5em (as Ryosuke says), but not all, given the test (dumprendertree?  not sure) bug with running gtk tests.
Comment 3 Benjamin (Ben) Kalman 2010-12-19 19:21:43 PST
Created attachment 76970 [details]
Patch
Comment 4 Benjamin (Ben) Kalman 2010-12-19 19:27:26 PST
Unfortunately there are actually 3 results needed.
 - default results
 - mac results (since line boundary selection behaviour is different on a mac apparently)
 - win results that are the same as the default results, because otherwise chromium-{linux,win} falls back to mac
Comment 5 Antonio Gomes 2010-12-19 19:37:32 PST
Comment on attachment 76970 [details]
Patch

LGTM.

I ran the patch locally on Qt and Gtk and both succeeded the test.
Comment 6 WebKit Commit Bot 2010-12-19 21:24:33 PST
Comment on attachment 76970 [details]
Patch

Clearing flags on attachment: 76970

Committed r74331: <http://trac.webkit.org/changeset/74331>
Comment 7 WebKit Commit Bot 2010-12-19 21:24:40 PST
All reviewed patches have been landed.  Closing bug.
Comment 8 WebKit Commit Bot 2010-12-19 22:31:52 PST
The commit-queue encountered the following flaky tests while processing attachment 76970 [details]:

inspector/debugger-pause-on-breakpoint.html bug 51320 (author: podivilov@chromium.org)
The commit-queue is continuing to process your patch.